## edu.stanford.nlp.util
Class IntUni

    java.lang.Object
      edu.stanford.nlp.util.IntTuple
          edu.stanford.nlp.util.IntUni

All Implemented Interfaces:
  Serializable

    public class IntUni

extends IntTuple

Just a single integer

Author:
  Kristina Toutanova (kristina@cs.stanford.edu)
See Also:
  Serialized Form

Constructor Summary
`IntUni()`
`IntUni(int src)`

Method Summary
`void` `add(int val)`
`IntTuple` `getCopy()`
`int` `getSource()`
`void` `setSource(int src)`

Methods inherited from class edu.stanford.nlp.util.IntTuple
`concat, elems, equals, get, getIntTuple, getIntTuple, hashCode, length, print, set, shiftLeft, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntUni

    public IntUni()

### IntUni

    public IntUni(int src)

Method Detail

### getSource

    public int getSource()

### setSource

    public void setSource(int src)

### getCopy

    public IntTuple getCopy()

  Overrides:
    `getCopy` in class `IntTuple`

### add

    public void add(int val)

Stanford NLP Group